package org.rcisoft.business.cmsApplication.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.cmsActivity.entity.CmsActivity;
import org.rcisoft.business.cmsApplication.entity.CmsApplication;
import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.core.model.CyPageInfo;

import java.util.List;

/**
* Created with cy on 2024年3月25日 下午1:42:40.
 * @author wangFeilong
 */

public interface CmsApplicationRepository extends CyBaseMapper<CmsApplication> {


    CmsApplication findByBusinessId(@Param("businessId") Integer businessId);

    List<CmsApplication> queryCmsApplication(@Param("entity") CmsApplication cmsApplication);

    IPage<CmsApplication> queryCmsApplicationPaged(CyPageInfo cyPageInfo, @Param("entity") CmsApplication cmsApplication);
}

